## cl-hyperobject 2.11.0

=== doc/Makefile ===
##############################################################################
# FILE IDENTIFICATION
# 
#  Name:         Makefile
#  Purpose:      Makefile for the hyperobject documentation
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 8261 2003-11-21 03:46:37Z kevin $
#
# This file, part of HYPEROBJECT, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
#
# HYPEROBJECT users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##############################################################################

DOCFILE_BASE_DEFAULT:=hyperobject
DOCFILE_EXT_DEFAULT:=xml


# Standard docfile processing

DEBIAN=$(shell expr "`cat /etc/issue`" : '.*Debian.*')
SUSE=$(shell expr "`cat /etc/issue`" : '.*SuSE.*')
REDHAT=$(shell expr "`cat /etc/issue`" : '.*RedHat.*')


ifneq (${DEBIAN},0)
OS:=debian
else
  ifneq (${SUSE},0)
    OS=suse
  else   
    ifneq (${REDHAT},0)
      OS=redhat
    endif
  endif
endif


ifndef DOCFILE_BASE
DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
endif

ifndef DOCFILE_EXT
DOCFILE_EXT=${DOCFILE_EXT_DEFAULT}
endif

DOCFILE:=${DOCFILE_BASE}.${DOCFILE_EXT}
FOFILE:=${DOCFILE_BASE}.fo
PDFFILE:=${DOCFILE_BASE}.pdf
PSFILE:=${DOCFILE_BASE}.ps
DVIFILE:=${DOCFILE_BASE}.dvi
TXTFILE:=${DOCFILE_BASE}.txt
HTMLFILE:=${DOCFILE_BASE}.html
TMPFILES:=${DOCFILE_BASE}.aux ${DOCFILE_BASE}.out ${DOCFILE_BASE}.log
DOCFILES:=$(shell echo *.xml *.xsl)

ifeq ($(XSLTPROC),)
  XSLTPROC:=xsltproc
endif

CATALOG:=`pwd`/catalog-${OS}.xml
CHECK:=XML_CATALOG_FILES="$(CATALOG)" xmllint --noout --xinclude --postvalid $(DOCFILE) || exit 1

.PHONY: all
all: html pdf 

.PHONY: dist
dist: html pdf

.PHONY: doc
doc: html pdf

.PHONY: check
check:
	@echo "Operating System Detected: ${OS}"
	@$(CHECK)

.PHONY: html
html: html.tar.gz

html.tar.gz: $(DOCFILES) Makefile 
	@rm -rf html
	@mkdir html
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
	@GZIP='-9' tar czf html.tar.gz html 

.PHONY: fo
fo: ${FOFILE}

${FOFILE}: $(DOCFILES) Makefile 
	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output $(FOFILE) fo.xsl $(DOCFILE)

.PHONY: pdf
pdf: ${PDFFILE}

${PDFFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -pdf $(PDFFILE) > /dev/null

.PHONY: dvi
dvi: ${DVIFILE}

.PHONY: ps
ps: ${PSFILE}

${PSFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -ps $(PSFILE) > /dev/null


.PHONY: txt
txt: ${TXTFILE}

${TXTFILE}: ${FOFILE}
	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output ${HTMLFILE} html.xsl $(DOCFILE)
	lynx -dump ${HTMLFILE} > ${TXTFILE}

.PHONY: clean
clean: 
	@rm -f *~ *.bak *.orig \#*\# .\#* texput.log
	@rm -rf html ${PSFILE} ${HTMLFILE}
	@rm -f ${TMPFILES} ${FOFILE}
	@rm -f  ${DVIFILE} ${TXTFILE}

.PHONY: distclean
distclean: clean

## cl-hyperobject 2.12.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-##############################################################################
+#!/usr/bin/make
+###############################################################################
 # FILE IDENTIFICATION
 # 
 #  Name:         Makefile
@@ -6,14 +7,12 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 8261 2003-11-21 03:46:37Z kevin $
-#
-# This file, part of HYPEROBJECT, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
+# This file, part of HYPEROBJECT, is Copyright (c) 2002-2011 by Kevin M. Rosenberg
 #
 # HYPEROBJECT users are granted the rights to distribute and use this software
 # as governed by the terms of the Lisp Lesser GNU Public License
 # (http://opensource.franz.com/preamble.html), also known as the LLGPL.
-##############################################################################
+###############################################################################
 
 DOCFILE_BASE_DEFAULT:=hyperobject
 DOCFILE_EXT_DEFAULT:=xml
@@ -21,23 +20,42 @@
 
 # Standard docfile processing
 
-DEBIAN=$(shell expr "`cat /etc/issue`" : '.*Debian.*')
-SUSE=$(shell expr "`cat /etc/issue`" : '.*SuSE.*')
-REDHAT=$(shell expr "`cat /etc/issue`" : '.*RedHat.*')
+DEBIAN=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Debian.*')
+SUSE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE.*')
+SUSE91=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE Linux 9.1.*')
+REDHAT=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Red Hat.*')
+MANDRAKE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Mandrake.*')
+DARWIN=$(shell expr "`uname -a`" : '.*Darwin.*')
+UBUNTU=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Ubuntu.*')
 
 
 ifneq (${DEBIAN},0)
 OS:=debian
 else
-  ifneq (${SUSE},0)
-    OS=suse
-  else   
-    ifneq (${REDHAT},0)
-      OS=redhat
+  ifneq (${SUSE91},0)
+    OS=suse91
+  else
+    ifneq (${SUSE},0)
+      OS=suse
+    else   
+      ifneq (${REDHAT},0)
+        OS=redhat
+      else   
+        ifneq (${MANDRAKE},0)
+          OS=mandrake
+	else   
+          ifneq (${DARWIN},0)
+            OS=darwin
+	  else
+	    ifneq (${UBUNTU},0)
+		OS:=debian
+	    endif
+	  endif 
+        endif
+      endif
     endif
   endif
 endif
-
 
 ifndef DOCFILE_BASE
 DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
@@ -75,7 +93,7 @@
 
 .PHONY: check
 check:
-	@echo "Operating System Detected: ${OS}"
+	@echo "Operating system detected: ${OS}"
 	@$(CHECK)
 
 .PHONY: html
@@ -84,7 +102,7 @@
 html.tar.gz: $(DOCFILES) Makefile 
 	@rm -rf html
 	@mkdir html
-	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
+	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding UTF-8 \
 		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
 	@GZIP='-9' tar czf html.tar.gz html 
 
@@ -92,7 +110,7 @@
 fo: ${FOFILE}
 
 ${FOFILE}: $(DOCFILES) Makefile 
-	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output $(FOFILE) fo.xsl $(DOCFILE)
+	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --stringparam fop1.extensions 1 --output $(FOFILE) fo.xsl $(DOCFILE)
 
 .PHONY: pdf
 pdf: ${PDFFILE}

=== debian/changelog ===
cl-hyperobject (2.12.0-1) unstable; urgency=low

  * New upstream
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 08 Jul 2011 14:12:52 -0600

cl-hyperobject (2.11.0-3) unstable; urgency=low

  * Build with debhelper extension dh-lisp
  * control: Add Vcs-Browser field. Fix Depends field.
  * rules: Fix installation of example file
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 03 Aug 2009 14:02:47 -0600

cl-hyperobject (2.11.0-2) unstable; urgency=low

  * debian/watch: New file
  * debian/control: Require debhelper 7. Change to new lisp section.
  Add Vcs-Git and Homepage fields.
  * debian/compat: Update to version 7
  * debian/rules: Update for debhelper 7, architecture-independent build
  * debian/{prerm,postrm}: Remove path from binary function

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 04:24:10 -0600

cl-hyperobject (2.11.0-1) unstable; urgency=low

  * Major reworking of MOP layer to add support for current versions of OpenMCL. 

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  6 Jan 2007 11:41:00 -0700

cl-hyperobject (2.10.0-1) unstable; urgency=low

  * Support CLISP
  * Remove implementation-dependent access of type slot using
    slot-definition-type instead.

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 01 Sep 2006 08:49:25 -0600

cl-hyperobject (2.9.2-1) unstable; urgency=low

  * Use initialize-instance :around for direct-slot-definition to be
  more AMOP compliant for setting lisp type from :value-type initarg 

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 17 Aug 2006 21:44:01 -0600

cl-hyperobject (2.9.1-1) unstable; urgency=low

  * Support change in SBCL MOP

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 17 Aug 2006 12:12:58 -0600

cl-hyperobject (2.9.0-1) unstable; urgency=low

  * New upstream URI
  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 16:01:20 -0600

cl-hyperobject (2.8.8-1) unstable; urgency=low

  * Change encoding to ISO-8859-1

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 20 Nov 2003 20:40:18 -0700
	

cl-hyperobject (2.8.7-1) unstable; urgency=low

  * Fix invalid setting of documentation for hyperobject-class

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 15 Nov 2003 19:32:25 -0700

cl-hyperobject (2.8.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 17 Jun 2003 00:32:30 -0600

cl-hyperobject (2.8.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Jun 2003 06:14:45 -0600

cl-hyperobject (2.8.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 16 May 2003 01:33:12 -0600

cl-hyperobject (2.8.3-1) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 15 May 2003 23:57:32 -0600

cl-hyperobject (2.8.2-1) unstable; urgency=low

  * Use hash-table based ensure-lazy-reader for Allegro/SCL

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 15 May 2003 00:05:06 -0600

cl-hyperobject (2.8.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 14 May 2003 13:45:01 -0600

cl-hyperobject (2.8.0-1) unstable; urgency=low

  * Rework object viewing to reduce format calls

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 13 May 2003 17:11:54 -0600

cl-hyperobject (2.7.3-1) unstable; urgency=low

  * Replace multiple-value-lists 

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 13 May 2003 09:52:59 -0600

cl-hyperobject (2.7.2-1) unstable; urgency=low

  * Fix for cmucl's 18e mop

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  7 May 2003 10:01:34 -0600

cl-hyperobject (2.7.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  6 May 2003 16:00:11 -0600

cl-hyperobject (2.7.0-1) unstable; urgency=low

  * Add regression testing
  * Depend on cl-rt package
  * Use compat file rather than DH_COMPAT
  * Rework compute-effective-slot-definition
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Apr 2003 11:40:27 -0600

cl-hyperobject (2.6.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 24 Apr 2003 00:55:02 -0600

cl-hyperobject (2.6.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 22 Apr 2003 08:06:37 -0600

cl-hyperobject (2.6.3-1) unstable; urgency=low

  * Fix :type in object-view class

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 16 Apr 2003 12:37:33 -0600

cl-hyperobject (2.6.2-1) unstable; urgency=low

  * Handle both named/unnamed implementations of
    compute-effective-slot-definition

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Apr 2003 23:17:13 -0600

cl-hyperobject (2.6.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Apr 2003 08:26:49 -0600

cl-hyperobject (2.6.0-1) unstable; urgency=low

  * Encapsulate differences in class-slot order since sbcl/cmucl
  reverse the order of slots compared to the defclass macro.
  * Fix error with lispworks and process-a-class-slot function

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Apr 2003 21:14:17 -0600

cl-hyperobject (2.5.6-1) unstable; urgency=low

  * Have lispworks use add-method

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  1 Apr 2003 09:56:27 -0700

cl-hyperobject (2.5.5-1) unstable; urgency=low

  * Simplify shadowing-import for allegro,lispworks,sbcl

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 31 Mar 2003 08:58:41 -0700

cl-hyperobject (2.5.4-1) unstable; urgency=low

  * Use add-method where supported
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 29 Mar 2003 16:18:44 -0700

cl-hyperobject (2.5.3-1) unstable; urgency=low

  * New upstream for SBCL 0.8pre MOP changes

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 24 Mar 2003 21:56:05 -0700

cl-hyperobject (2.5.2-1) unstable; urgency=low

  * fix typo in sql.lisp

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 17 Jan 2003 12:16:20 -0700

cl-hyperobject (2.5.1-1) unstable; urgency=low



=== debian/control ===
Source: cl-hyperobject
Section: lisp
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends-Indep: dh-lisp
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.2.0
Homepage: http://hyperobject.b9.com/
Vcs-Git: git://git.b9.com/hyperobject.git
Vcs-Browser: http://git.b9.com/?p=hyperobject.git

Package: cl-hyperobject
Architecture: all
Depends: ${misc:Depends}, cl-kmrcl, cl-rt
Description: Common Lisp library for hyperobjects
 This package contains a library for creating and display hyperobjects.
 Hyperobjects contain references to subobjects as well as to linked
 objects.  This package includes functions to display hyperobjects in
 multiple formats: ASCII Text, HTML, XML with optional field labels and
 hyperlinks.

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= hyperobject
pkg-tests	:= $(pkg)-tests
debpkg    	:= cl-$(pkg)

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
clc-tests	:= $(clc-source)/$(pkg-tests)

tests-files	:= tests.lisp
source-files	:= $(filter-out $(tests-files),$(wildcard *.lisp))


build: build-arch build-indep

build-arch:

build-indep:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install $(pkg).asd $(source-files) $(clc-files)
	dh_install $(pkg-tests).asd $(tests-files) $(clc-tests)

binary-indep: install
	dh_testdir
	dh_testroot 
	dh_installdocs 
	dh_installexamples examples/*.lisp
	dh_installchangelogs 
	dh_lisp
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary-arch:

binary: binary-indep


.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://files.b9.com/hyperobject/hyperobject-([\d\.]*)\.tar\.gz

## cl-hyperobject 2.13

=== Makefile ===
.PHONY: all clean test test-acl test-sbcl

test-file:=`pwd`/run-tests.lisp
all:

clean:
	@find . -type f -name "*.fasl*" -or -name "*.ufsl" -or -name "*.x86f" \
	  -or -name "*.fas" -or -name "*.pfsl" -or -name "*.dfsl" \
	  -or -name "*~" -or -name ".#*" -or -name "#*#" | xargs rm -f

test: test-alisp

test-alisp:
	alisp8 -q -L $(test-file)

test-mlisp:
	mlisp -q -L $(test-file)

test-sbcl:
	sbcl --noinform --disable-debugger --userinit $(test-file)

test-cmucl:
	lisp -init $(test-file)

test-lw:
	lw-console -init $(test-file)

test-scl: 
	scl -init $(test-file)

test-clisp: 
	clisp -norc -q -i $(test-file)

=== docs/Makefile ===
.PHONY: site all clean

all: site

site: 
	openmcl --load `pwd`/make.lisp

clean:
	@rm -f *~ \#*\# .\#* memdump

=== debian/changelog ===
cl-hyperobject (2.13-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 01 Oct 2020 16:11:33 -0600

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends-Indep: dh-lisp
-Build-Depends: debhelper (>= 7.0.0)
-Standards-Version: 3.9.2.0
-Homepage: http://hyperobject.b9.com/
-Vcs-Git: git://git.b9.com/hyperobject.git
-Vcs-Browser: http://git.b9.com/?p=hyperobject.git
+Build-Depends: debhelper (>= 11.0.0)
+Standards-Version: 4.5.0.3
+Homepage: http://hyperobject.kpe.io/
+Vcs-Git: git://git.kpe.io/hyperobject.git
+Vcs-Browser: http://git.kpe.io/?p=hyperobject.git
 
 Package: cl-hyperobject
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,18 @@
 #!/usr/bin/make -f
 
 pkg		:= hyperobject
-pkg-tests	:= $(pkg)-tests
 debpkg    	:= cl-$(pkg)
 
 clc-source	:= usr/share/common-lisp/source
 clc-systems	:= usr/share/common-lisp/systems
 clc-files	:= $(clc-source)/$(pkg)
-clc-tests	:= $(clc-source)/$(pkg-tests)
 
 tests-files	:= tests.lisp
 source-files	:= $(filter-out $(tests-files),$(wildcard *.lisp))
 
 
 build: build-arch build-indep
-
 build-arch:
-
 build-indep:
 
 clean:
@@ -29,8 +25,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	dh_install $(pkg).asd $(source-files) $(clc-files)
-	dh_install $(pkg-tests).asd $(tests-files) $(clc-tests)
+	dh_install $(pkg).asd $(source-files) $(clc-files) $(clc-tests)
 
 binary-indep: install
 	dh_testdir

=== debian/watch ===
version=3
http://files.kpe.io/hyperobject/hyperobject-([\d\.]*)\.tar\.gz
